{
 "cells": [
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "## Generating word search puzzles"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "![](https://mario.wiki.gallery/images/thumb/3/31/WordSearch_178_1.png/683px-WordSearch_178_1.png)\n",
    "\n",
    "https://github.com/Magoninho/word-search-puzzle-generator.git"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "! git clone https://github.com/Magoninho/word-search-puzzle-generator.git"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "**NOTE**: two small changes need to be made in main.py to make this code work.\n",
    "\n",
    "Comment this line out: \n",
    "\n",
    "`# words = [\"wear\", \"variable\", \"print\", \"minimum\", \"graduate\", \"room\", \"bulk\", \"advise\", \"completed\", \"memory\"]`\n",
    "\n",
    "And change this line...\n",
    "\n",
    "`lines = file1.readlines()`\n",
    "\n",
    "into: \n",
    "\n",
    "`words = [word.strip() for word in file1.readlines()]`\n",
    "\n",
    "Now it should work!"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "! python3 word-search-puzzle-generator/src/main.py -h"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "! python3 word-search-puzzle-generator/src/main.py --file word-search.txt -s 20 -c"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.7.3"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 4
}
